### Struct

# FwupdPlugin StructCabData

since: 1.0

#### Description

    struct FuStructCabData {
      GByteArray* buf;
      guint refcount;
    }

No description available.

###### Structure members

`buf`
  No description available.
`refcount`
  No description available.

Available since: 1.0

#### Functions

###### fu_struct_cab_data_new

No description available.

since: 1.0

###### fu_struct_cab_data_parse_stream

No description available.

since: 1.0

#### Instance methods

###### fu_struct_cab_data_get_checksum

No description available.

since: 1.0

###### fu_struct_cab_data_get_comp

No description available.

since: 1.0

###### fu_struct_cab_data_get_uncomp

No description available.

since: 1.0

###### fu_struct_cab_data_ref

No description available.

since: 1.0

###### fu_struct_cab_data_set_checksum

No description available.

since: 1.0

###### fu_struct_cab_data_set_comp

No description available.

since: 1.0

###### fu_struct_cab_data_set_uncomp

No description available.

since: 1.0

###### fu_struct_cab_data_unref

No description available.

since: 1.0